HaruPage::drawImage
HaruPage::endPath
HaruPage
PHP Manual

# HaruPage::ellipse

(PECL haru >= 0.0.1)

HaruPage::ellipse — Append an ellipse to the current path

### Description

bool HaruPage::ellipse ( float `$x` , float `$y` , float `$xray` , float `$yray` )

Appends an ellipse to the current path.

### Parameters

`x`

  Horizontal coordinate of the center.

`y`

  Vertical coordinate of the center.

`xray`

  The ray of the ellipse in the x direction.

`yray`

  The ray of the ellipse in the y direction.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

HaruPage::drawImage
HaruPage::endPath
HaruPage
PHP Manual